Package twisted :: Package web :: Package woven :: Module model :: Class ObjectWrapper

[show private | hide private]
[frames | no frames]

## Class ObjectWrapper

    Model --+
            |
      Wrapper --+
                |
               ObjectWrapper

Known Subclasses:
  `UnsafeObjectWrapper`

I may wrap an object and allow it to interact with the Woven models and submodels. By default, I am not registered for use with anything.

Method Summary
| `__init__(self, orig)` (inherited from `Wrapper`)
| `__getstate__(self)` (inherited from `Model`)
| `__repr__(self)` (inherited from `Wrapper`)
| `addSubview(self, name, subview)` (inherited from `Model`)
| ``addView`(self, view)` Add a view for the model to keep track of. (inherited from `Model`)
| `dataWillChange(self)` (inherited from `Wrapper`)
| `getData(self, request)` (inherited from `Model`)
| ``getSubmodel`(self, request, name)` Get the submodel `name' of this model.
| ``initialize`(self, *args, **kwargs)` Hook for subclasses to initialize themselves without having to mess with the __init__ chain. (inherited from `Model`)
| ``invalidateCache`(self)` Invalidate the cache for this object, so the next time getData is called, it's getter method is called again. (inherited from `Model`)
| ``lookupSubmodel`(self, request, submodelName)` Look up a full submodel name. (inherited from `Model`)
| ``notify`(self, changed)` Notify all views that something was changed on me. (inherited from `Model`)
| ``removeView`(self, view)` Remove a view that the model no longer should keep track of. (inherited from `Model`)
| `setData(self, request, data)` (inherited from `Model`)
| `setGetter(self, getter)` (inherited from `Model`)
| `setSetter(self, setter)` (inherited from `Model`)
| ``setSubmodel`(self, request, name, value)` Set a submodel on this model.
| ``submodelCheck`(self, request, name)` Check if a submodel name is allowed. (inherited from `Model`)
| `submodelFactory(self, request, name)` (inherited from `Model`)

Method Details

### getSubmodel(self, request=None, name=None)

Get the submodel `name' of this model. If I ever return a Deferred, then I ought to check for cached values (created by `setSubmodel`) before doing a regular Deferred lookup.

  Overrides:
    `twisted.web.woven.model.Model.getSubmodel` (inherited documentation)

### setSubmodel(self, request=None, name=None, value=None)

Set a submodel on this model. If getSubmodel or lookupSubmodel ever return a Deferred, I ought to set this in a place that lookupSubmodel/getSubmodel know about, so they can use it as a cache.

  Overrides:
    `twisted.web.woven.model.Model.setSubmodel` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:17:06 2003 | http://epydoc.sf.net